#ifndef LISTCMD_H
#define LISTCMD_H

#include <QObject>
#include "serverthread.h"

class LISTcmd : public QObject
{
	Q_OBJECT
public:
	LISTcmd(const QString &path, bool nlstMode, ServerThread *parent);

	ServerThread *parent() const;

public slots:
	void sendMore();
	void finishing();
	void error(bool killDTP = true);

signals:
	void activity();
	void finished();

private:
	QList<QByteArray> list;
	bool dead;
	int k;
};

#endif // LISTCMD_H
