#ifndef RETRCMD_H
#define RETRCMD_H

#include <QObject>
#include "ipfile.h"
#include "serverthread.h"

class UserID;

class RETRcmd : public QObject
{
	Q_OBJECT
public:
	RETRcmd(const UserID &uid, const QString &filename, ServerThread *parent);

	ServerThread *parent() const;

public slots:
	void sendMore();
	void finishing();
	void error(bool killDTP = true);

signals:
	void activity();
	void finished();

private:
	IPFile file;
	int k;
	bool dead;
};

#endif // RETRCMD_H
